/*
 * Created on Jun 8, 2007
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 * 
 * Copyright @2007-2009 the original author or authors.
 */
package org.assertj.swing.junit.ant;

import static org.easymock.classextension.EasyMock.createMock;

import java.awt.image.BufferedImage;
import java.io.IOException;

import org.assertj.swing.image.ScreenshotTaker;
import org.junit.BeforeClass;

/**
 * Base test case for <code>{@link ImageHandler}</code>.
 * 
 * @author Alex Ruiz
 */
public abstract class ImageHandler_TestCase {

  static ScreenshotTaker screenshotTaker;

  @BeforeClass
  public static void setUpOnce() {
    screenshotTaker = new ScreenshotTaker();
  }

  static IOException thrownOnPurpose() {
    return new IOException("Thrown on purpose");
  }

  static BufferedImage mockImage() {
    return createMock(BufferedImage.class);
  }

  static ImageDecoder mockImageDecoder() {
    return createMock(ImageDecoder.class);
  }
}
